lirc_options.c File Reference

### (06ece08 2016-01-08 19:03:17 +0100)

Implements lirc_options.h. More...

`#include <getopt.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "ciniparser.h"`
`#include "lirc_options.h"`
`#include "lirc_log.h"`

Go to the source code of this file.

## Functions

loglevel_t | options_set_loglevel (const char *optarg)
void | options_set_opt (const char *key, const char *value)
const char * | options_getstring (const char *const key)
int | options_getint (const char *const key)
int | options_getboolean (const char *const key)
void | options_load (int argc, char **const argv, const char *path_arg, void(*parse_options)(int, char **const))
loglevel_t | options_get_app_loglevel (const char *app)
void | options_add_defaults (const char *const defaults[])
void | options_unload (void)

## Variables

dictionary * | lirc_options = NULL

## Detailed Description

Implements lirc_options.h.

Definition in file lirc_options.c.

## Function Documentation

## options_get_app_loglevel()

loglevel_t options_get_app_loglevel | ( | const char * | app | ) |

Return loglevel based on (falling priority)

- LIRC_LOGLEVEL in environment,
- If app is non-NULL the 'debug' value in the [app]section
- The 'debug' value in the [lircd] options file section.
- The hardcoded default LIRC_DEBUG

Definition at line 156 of file lirc_options.c.

## options_set_loglevel()

loglevel_t options_set_loglevel | ( | const char * | optarg | ) |

Parse and store a loglevel, returning value (possibly LIRC_BADLEVEL).

Definition at line 40 of file lirc_options.c.